# K8s home lab cache (well, k3s)

This repo stores all the manifests for the infra I run in my Kubernetes lab. The cluster runs on 4 * Raspberry Pi4 (2GB RAM version) nodes and some spare HDDs and SSDs.
All sensitive data is encrypted with SOPS (which I recommend as it's way easier to use the SealedSecrets - I know, different purposes for each, but still!).

# How to view/work with the files

To decrypt, export the private key as SOPS_AGE_KEY and run the "./decrypt_all.sh" script.

Can also add this to the local config to automatically decrypt files for diffing:

```
git config --local diff.sops.textconv "sops -d"
```

More info later...
